## decibel-audio-player 0.05.2

=== Makefile ===
INSTALL ?= install
MAKE ?= make
RM ?= rm
RMDIR ?= rmdir
prefix ?= /usr/local


PREFIX = $(DESTDIR)$(prefix)

BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
DATADIR = $(PREFIX)/share/decibel-audio-player
SRCDIR = $(DATADIR)/src
PIXDIR = $(DATADIR)/pix
RESDIR = $(DATADIR)/res

APPDIR = $(PREFIX)/share/applications
ICONDIR = $(PREFIX)/share/pixmaps
LOCALEDIR = $(PREFIX)/share/locale

CONFIGURE_IN = sed -e 's!prefix!$(prefix)!g'


#LANGUAGES = `find locale/ -maxdepth 1 -mindepth 1 -type d -printf "%f "`

help:
	@echo Usage:
	@echo "make		- not used"
	@echo "make clean	- removes temporary data"
	@echo "make install	- installs data"
	@echo "make uninstall	- uninstalls data"
	@echo "make help	- prints this help"
	@echo


install:
	cat start.sh | $(CONFIGURE_IN) > decibel-audio-player;
	echo $(PREFIX)
	$(INSTALL) -m 755 -d $(BINDIR) $(MANDIR) $(DATADIR) $(SRCDIR) $(RESDIR) $(APPDIR) $(PIXDIR)
	$(INSTALL) -m 755 -d $(SRCDIR)/gui
	$(INSTALL) -m 755 -d $(SRCDIR)/media
	$(INSTALL) -m 755 -d $(SRCDIR)/tools
	$(INSTALL) -m 755 -d $(SRCDIR)/modules
	$(INSTALL) -m 644 src/*.py $(SRCDIR)
	$(INSTALL) -m 644 src/gui/*.py $(SRCDIR)/gui
	$(INSTALL) -m 644 src/tools/*.py $(SRCDIR)/tools
	$(INSTALL) -m 644 src/media/*.py $(SRCDIR)/media
	$(INSTALL) -m 644 src/modules/*.py $(SRCDIR)/modules
	$(INSTALL) -m 644 res/*.glade $(RESDIR)
	$(INSTALL) -m 644 doc/decibel-audio-player.1 $(MANDIR)
	$(INSTALL) -m 644 pix/*.png $(PIXDIR)
	$(INSTALL) -m 644 pix/decibel-audio-player.png $(ICONDIR)
	$(INSTALL) -m 644 res/decibel-audio-player.desktop $(APPDIR)
	if test -L $(BINDIR)/decibel-audio-player; then ${RM} $(BINDIR)/decibel-audio-player; fi
	$(INSTALL) -m 755 decibel-audio-player $(BINDIR)
#	$(MAKE) -C po dist
#	for lang in $(LANGUAGES); do \
#		${INSTALL} -m 755 -d $(LOCALEDIR)/$$lang/LC_MESSAGES;\
#		$(INSTALL) -m 644 locale/$$lang/LC_MESSAGES/decibel-audio-player.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
#	done


uninstall:
	${RM} $(PREFIX)/bin/decibel-audio-player
	${RM} $(APPDIR)/decibel-audio-player.desktop
	${RM} $(MANDIR)/decibel-audio-player.1
	${RM} $(BINDIR)/decibel-audio-player
	${RM} $(ICONDIR)/decibel-audio-player.png
	${RM} -rf $(DATADIR)
	$(RMDIR) --ignore-fail-on-non-empty $(BINDIR) $(MANDIR) $(APPDIR)
#	for lang in $(LANGUAGES); do \
#		${RM} $(LOCALEDIR)/$$lang/LC_MESSAGES/decibel-audio-player.mo; \
#	done

clean:
	${RM} src/*.py[co] res/*~ res/*.bak

.PHONY: help clean install

## decibel-audio-player 0.09

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,7 @@
 
 CONFIGURE_IN = sed -e 's!prefix!$(prefix)!g'
 
-
-#LANGUAGES = `find locale/ -maxdepth 1 -mindepth 1 -type d -printf "%f "`
+LANGUAGES = `find locale/ -maxdepth 1 -mindepth 1 -type d -printf "%f "`
 
 help:
 	@echo Usage:
@@ -35,8 +34,9 @@
 
 install:
 	cat start.sh | $(CONFIGURE_IN) > decibel-audio-player;
+	cat start-remote.sh | $(CONFIGURE_IN) > decibel-audio-player-remote;
 	echo $(PREFIX)
-	$(INSTALL) -m 755 -d $(BINDIR) $(MANDIR) $(DATADIR) $(SRCDIR) $(RESDIR) $(APPDIR) $(PIXDIR)
+	$(INSTALL) -m 755 -d $(BINDIR) $(MANDIR) $(DATADIR) $(SRCDIR) $(RESDIR) $(APPDIR) $(PIXDIR) $(ICONDIR)
 	$(INSTALL) -m 755 -d $(SRCDIR)/gui
 	$(INSTALL) -m 755 -d $(SRCDIR)/media
 	$(INSTALL) -m 755 -d $(SRCDIR)/tools
@@ -48,29 +48,33 @@
 	$(INSTALL) -m 644 src/modules/*.py $(SRCDIR)/modules
 	$(INSTALL) -m 644 res/*.glade $(RESDIR)
 	$(INSTALL) -m 644 doc/decibel-audio-player.1 $(MANDIR)
+	$(INSTALL) -m 644 doc/decibel-audio-player-remote.1 $(MANDIR)
 	$(INSTALL) -m 644 pix/*.png $(PIXDIR)
 	$(INSTALL) -m 644 pix/decibel-audio-player.png $(ICONDIR)
 	$(INSTALL) -m 644 res/decibel-audio-player.desktop $(APPDIR)
 	if test -L $(BINDIR)/decibel-audio-player; then ${RM} $(BINDIR)/decibel-audio-player; fi
 	$(INSTALL) -m 755 decibel-audio-player $(BINDIR)
-#	$(MAKE) -C po dist
-#	for lang in $(LANGUAGES); do \
-#		${INSTALL} -m 755 -d $(LOCALEDIR)/$$lang/LC_MESSAGES;\
-#		$(INSTALL) -m 644 locale/$$lang/LC_MESSAGES/decibel-audio-player.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
-#	done
+	if test -L $(BINDIR)/decibel-audio-player-remote; then ${RM} $(BINDIR)/decibel-audio-player-remote; fi
+	$(INSTALL) -m 755 decibel-audio-player-remote $(BINDIR)
+	$(MAKE) -C po dist
+	for lang in $(LANGUAGES); do \
+		${INSTALL} -m 755 -d $(LOCALEDIR)/$$lang/LC_MESSAGES;\
+		$(INSTALL) -m 644 locale/$$lang/LC_MESSAGES/decibel-audio-player.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
+	done
 
 
 uninstall:
-	${RM} $(PREFIX)/bin/decibel-audio-player
+	${RM} $(BINDIR)/decibel-audio-player
+	${RM} $(BINDIR)/decibel-audio-player-remote
 	${RM} $(APPDIR)/decibel-audio-player.desktop
 	${RM} $(MANDIR)/decibel-audio-player.1
-	${RM} $(BINDIR)/decibel-audio-player
+	${RM} $(MANDIR)/decibel-audio-player-remote.1
 	${RM} $(ICONDIR)/decibel-audio-player.png
 	${RM} -rf $(DATADIR)
 	$(RMDIR) --ignore-fail-on-non-empty $(BINDIR) $(MANDIR) $(APPDIR)
-#	for lang in $(LANGUAGES); do \
-#		${RM} $(LOCALEDIR)/$$lang/LC_MESSAGES/decibel-audio-player.mo; \
-#	done
+	for lang in $(LANGUAGES); do \
+		${RM} $(LOCALEDIR)/$$lang/LC_MESSAGES/decibel-audio-player.mo; \
+	done
 
 clean:
 	${RM} src/*.py[co] res/*~ res/*.bak

=== po/Makefile ===
INSTALL ?= install

PYFILES = `find ../src -type f -name "*.py"`
GLADEFILES = $(wildcard ../res/*.glade)
POFILES = $(wildcard *.po)

GLADEHFILES := $(GLADEFILES:.glade=.glade.h)

help:
	@echo "USAGE:"
	@echo "make update - updates messages.pot and .po files"
	@echo "make dist   - creates .mo files in ../locale dir"
	@echo "make pl.po  - updates pl.po file OR creates new one"
	@echo "              (replace 'pl' with your language code)"

%.h: %
	intltool-extract --type="gettext/glade" $*

messages.pot: $(GLADEHFILES)
	xgettext -k_ -kN_ -o messages.pot $(PYFILES) $(GLADEHFILES) --from-code=utf-8

%.po: messages.pot
	@if test -f $@; then \
		echo -n "Updating '$*' language ";\
		msgmerge -U $@ messages.pot;\
	else \
		msginit -l $*.UTF8 -o $@; \
	fi

%.mo:
	for pofile in $(patsubst ../locale/%/LC_MESSAGES/decibel-audio-player.mo,%.po,$@); do \
		${INSTALL} -m 755 -d $(subst decibel-audio-player.mo,,$@);\
		msgconv -t UTF-8 $${pofile} -o $${pofile}_utf8;\
		msgfmt $${pofile}_utf8 -o $@;\
		rm $${pofile}_utf8;\
	done

update: $(POFILES)
dist: $(POFILES:%.po=../locale/%/LC_MESSAGES/decibel-audio-player.mo)

clean:
	$(RM) $(GLADEHFILES)
	#$(RM) $(POFILES:%.po=../locale/%/LC_MESSAGES/decibel-audio-player.mo)
	#$(RM) messages.pot

.PHONY:  update

## decibel-audio-player 0.10

=== Makefile ===
--- 
+++ 
@@ -77,6 +77,8 @@
 	done
 
 clean:
+	$(MAKE) -C po clean
 	${RM} src/*.py[co] res/*~ res/*.bak
+	${RM} decibel-audio-player decibel-audio-player-remote
 
 .PHONY: help clean install

=== po/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 clean:
 	$(RM) $(GLADEHFILES)
-	#$(RM) $(POFILES:%.po=../locale/%/LC_MESSAGES/decibel-audio-player.mo)
+	$(RM) $(POFILES:%.po=../locale/%/LC_MESSAGES/decibel-audio-player.mo)
 	#$(RM) messages.pot
 
 .PHONY:  update

## decibel-audio-player 0.11

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 INSTALL ?= install
 
-PYFILES = `find ../src -type f -name "*.py"`
+PYFILES = $(shell find ../src -type f -name "*.py")
 GLADEFILES = $(wildcard ../res/*.glade)
 POFILES = $(wildcard *.po)
 
@@ -16,7 +16,7 @@
 %.h: %
 	intltool-extract --type="gettext/glade" $*
 
-messages.pot: $(GLADEHFILES)
+messages.pot: $(GLADEHFILES) $(PYFILES)
 	xgettext -k_ -kN_ -o messages.pot $(PYFILES) $(GLADEHFILES) --from-code=utf-8
 
 %.po: messages.pot

## decibel-audio-player 1.03-1mint1

=== debian/changelog ===
decibel-audio-player (1.03-1mint1) helena-fluxbox; urgency=low

  * set to load Audio CD module by default

 -- Kendall Weaver <kendalltweaver@gmail.com>  27 Jan 2010 13:39:00 -0500

decibel-audio-player (1.03-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 15 Jan 2010 17:35:40 +0100

decibel-audio-player (1.02-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 05 Dec 2009 12:13:23 +0100

decibel-audio-player (1.01-1) unstable; urgency=low

  * Update my email address.
  * New upstream release.
    - Add .oga as a recognized extension. Closes: #522938.
  * Build depend on debhelper >= 7.0.50~ for the availability of overrides.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/manpages: Removed, the manpages are installed by the upstream
    makefile.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 05 Sep 2009 17:49:37 +0200

decibel-audio-player (1.00-2) unstable; urgency=low

  [ Marco Rodrigues ]
  * debian/copyright:
    + Replace in common-licenses from GPL to GPL-2.

  [ Emilio Pozuelo Monfort ]
  * Recommend python-gnomekeyring rather than python-gnome2-desktop
    now that the latter has been split.
  * Recommend python-gnome2 for the multimedia keys plugin.
  * Depend on gstreamer0.10-plugins-{base,good}, recommend -ugly
    and suggest -bad, since decibel is useless without audio
    decoders. Closes: #517326.
  * Add "Copyright" to the packaging section in debian/copyright to
    please lintian, and update years.
  * Clean up whitespaces.
  * Switch to python-support.
  * Install a tiny script to launch decibel-audio-player rather than
    symlinking the binary.
  * Use debhelper 7.
  * Depend on ${misc:Depends}
  * Standards-Version is 3.8.1, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sat, 14 Mar 2009 11:36:59 +0100

decibel-audio-player (1.00-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - debian/patches/fix_library_empty_tags.dpatch:
      + Removed, fixed upstream.
  * Remove dpatch magic, not needed anymore.
  * Fix watch file.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sun, 23 Nov 2008 13:24:51 +0100

decibel-audio-player (0.11-2) unstable; urgency=low

  * debian/patches/fix_library_empty_tags.dpatch:
    - Fix Library module not loading when a track has an empty artist
      tag. Closes: #500757.
  * debian/control,
    debian/rules:
    - Add patch system.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sun, 05 Oct 2008 11:57:06 +0200

decibel-audio-player (0.11-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Updated Standards-Version to 3.8.0 (no changes needed).
    - Recommend python-cddb for the Audio CD plugin. Closes: #499174.
    - Don't start the short description with a capital leter.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 17 Sep 2008 20:36:15 +0200

decibel-audio-player (0.10-1) unstable; urgency=low

  * New upstream release.
    - Remove unneded clean rules in debian/rules, fixed upstream now.
    - Updated debian/copyright.
    - debian/patches: removed, applied upstream.
  * debian/watch: don't update the package as that's done by svn-bp.
  * debian/rules,
    debian/control:
    - Remove dpatch magic.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sun, 11 May 2008 13:21:09 +0200

decibel-audio-player (0.09-2) unstable; urgency=low

  * debian/patches/fix_multimedia_keys.dpatch:
    - Added, fix multimedia keys with latest gnome-settings-daemon, as it
      has changed the interface.
  * debian/control,
    debian/rules,
    debian/patches/00list:
    - Add dpatch magic.
  * debian/copyright:
    - Add 'Copyright (C)' so that lintian doesn't complain of a missing
      copyright holder.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Fri, 28 Mar 2008 17:52:51 +0100

decibel-audio-player (0.09-1) unstable; urgency=low

  * New upstream release.
  * debian/decibel-audio-player-remote.1,
    debian/manpages:
    - Removed, since the manpage is now shipped upstream.
  * debian/patches/01_fix_hashbang.dpatch:
    - Removed. The hashbang fix has been applied upstream.
  * debian/control,
    debian/rules,
    debian/patches:
    - Remove dpatch magic.
  * debian/rules:
    - Remove .mo files in clean target.
    - Remove decibel-audio-player{,-remote} too.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sun, 27 Jan 2008 22:31:13 +0100

decibel-audio-player (0.08-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Move python to Build-Depends-Indep since it's arch: all.
    - Standards-Version bumped to 3.7.3, no changes needed.
  * debian/decibel-audio-player-remote.1, debian/manpages:
    - Added a manpage for decibel-audio-player-remote.
  * debian/patches/01_remove_hashbang.dpatch:
    - Added, remove unneeded hashbang.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Thu, 10 Jan 2008 05:12:50 +0100

decibel-audio-player (0.07-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Changed python-dev to python and move it to build-deps from
      build-deps-indep.
    - Removed python-gnome2 from Depends, not needed anymore.
    - Moved python-gnome2-desktop from Depends to Recommends, since it's
      not strictly necessary.
  * debian/rules:
    - Moved build stuff from binary-arch to binary-indep.
      Thanks to Piotr Ożarowski.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 19 Nov 2007 19:31:57 +0100

decibel-audio-player (0.06.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Move XS-Vcs-* fields to Vcs-*, as they are now supported by dpkg.
  * debian/watch:
    - Added uupdate magic.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sat, 06 Oct 2007 10:52:50 +0200

decibel-audio-player (0.06-2) unstable; urgency=low

  * debian/control:


=== debian/control ===
Source: decibel-audio-player
Section: sound
Priority: optional
Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>=2.4), python-support
Standards-Version: 3.8.3
Homepage: http://decibel.silent-blade.org/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/decibel-audio-player/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/decibel-audio-player/trunk/

Package: decibel-audio-player
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>=2.6.3-2),
         python-glade2 (>=2.6.3-2),
         python-mutagen (>= 1.10),
         python-gst0.10 (>=0.10),
         python-dbus,
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good
Recommends: gstreamer0.10-plugins-ugly,
            python-notify (>=0.1),
            python-gnome2,
            python-gnomekeyring,
            python-cddb
Suggests: gstreamer0.10-plugins-bad
Description: simple and nice music player for the GNOME desktop
 Decibel is a GTK+ audio player which aims at being very
 straightforward to use by mean of a very clean and user
 friendly interface.

## decibel-audio-player 1.04

=== debian/changelog ===
decibel-audio-player (1.04-1) unstable; urgency=low

  * New upstream release.
  * debian/source/format:
    - Switch to source format 3.0 (quilt).
  * debian/control:
    - Standards-Version is 3.8.4, no changes needed.
  * debian/bin/decibel-audio-player,
    debian/install:
    - Removed, upstream installs a launch file so use it instead of ours.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 30 May 2010 11:53:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python (>=2.4), python-support
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://decibel.silent-blade.org/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/decibel-audio-player/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/decibel-audio-player/trunk/

## decibel-audio-player 1.06

=== Makefile ===
--- 
+++ 
@@ -39,12 +39,16 @@
 	$(INSTALL) -m 755 -d $(BINDIR) $(MANDIR) $(DATADIR) $(SRCDIR) $(RESDIR) $(APPDIR) $(PIXDIR) $(ICONDIR)
 	$(INSTALL) -m 755 -d $(SRCDIR)/gui
 	$(INSTALL) -m 755 -d $(SRCDIR)/media
+	$(INSTALL) -m 755 -d $(SRCDIR)/media/format
+	$(INSTALL) -m 755 -d $(SRCDIR)/media/track
 	$(INSTALL) -m 755 -d $(SRCDIR)/tools
 	$(INSTALL) -m 755 -d $(SRCDIR)/modules
 	$(INSTALL) -m 644 src/*.py $(SRCDIR)
 	$(INSTALL) -m 644 src/gui/*.py $(SRCDIR)/gui
 	$(INSTALL) -m 644 src/tools/*.py $(SRCDIR)/tools
 	$(INSTALL) -m 644 src/media/*.py $(SRCDIR)/media
+	$(INSTALL) -m 644 src/media/track/*.py $(SRCDIR)/media/track
+	$(INSTALL) -m 644 src/media/format/*.py $(SRCDIR)/media/format
 	$(INSTALL) -m 644 src/modules/*.py $(SRCDIR)/modules
 	$(INSTALL) -m 644 res/*.glade $(RESDIR)
 	$(INSTALL) -m 644 doc/decibel-audio-player.1 $(MANDIR)

=== po/Makefile ===
--- 
+++ 
@@ -15,6 +15,8 @@
 
 %.h: %
 	intltool-extract --type="gettext/glade" $*
+	sed -i '/^char \*s = N_("gtk-.*");$$/d' $@
+
 
 messages.pot: $(GLADEHFILES) $(PYFILES)
 	xgettext -k_ -kN_ -o messages.pot $(PYFILES) $(GLADEHFILES) --from-code=utf-8

=== debian/changelog ===
decibel-audio-player (1.06-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01_desktop_file_exec_F.patch:
    - New patch. We can open multiple files in the same instance, so
      teach the desktop file that. Thanks Adrien Clerc. Closes: #610102.
  * debian/control:
    - Standards-Version is 3.9.1, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 17 Jan 2011 23:49:05 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python (>=2.4), python-support
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://decibel.silent-blade.org/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/decibel-audio-player/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/decibel-audio-player/trunk/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs doc/ChangeLog

=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/" \
http://decibel.silent-blade.org/index.php?n=Main.Download \
http://decibel.silent-blade.org/uploads/Main/decibel-audio-player-(.*)\.tar\.gz

## decibel-audio-player 1.08

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 ICONDIR = $(PREFIX)/share/pixmaps
 LOCALEDIR = $(PREFIX)/share/locale
 
-CONFIGURE_IN = sed -e 's!prefix!$(prefix)!g'
+CONFIGURE_IN = sed -e 's!prefix!$(PREFIX)!g'
 
 LANGUAGES = `find locale/ -maxdepth 1 -mindepth 1 -type d -printf "%f "`
 
@@ -50,7 +50,7 @@
 	$(INSTALL) -m 644 src/media/track/*.py $(SRCDIR)/media/track
 	$(INSTALL) -m 644 src/media/format/*.py $(SRCDIR)/media/format
 	$(INSTALL) -m 644 src/modules/*.py $(SRCDIR)/modules
-	$(INSTALL) -m 644 res/*.glade $(RESDIR)
+	$(INSTALL) -m 644 res/*.ui $(RESDIR)
 	$(INSTALL) -m 644 doc/decibel-audio-player.1 $(MANDIR)
 	$(INSTALL) -m 644 doc/decibel-audio-player-remote.1 $(MANDIR)
 	$(INSTALL) -m 644 pix/*.png $(PIXDIR)

=== po/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 INSTALL ?= install
 
 PYFILES = $(shell find ../src -type f -name "*.py")
-GLADEFILES = $(wildcard ../res/*.glade)
+UIFILES = $(wildcard ../res/*.ui)
 POFILES = $(wildcard *.po)
 
-GLADEHFILES := $(GLADEFILES:.glade=.glade.h)
+UIHFILES := $(UIFILES:.ui=.ui.h)
 
 help:
 	@echo "USAGE:"
@@ -18,8 +18,8 @@
 	sed -i '/^char \*s = N_("gtk-.*");$$/d' $@
 
 
-messages.pot: $(GLADEHFILES) $(PYFILES)
-	xgettext -k_ -kN_ -o messages.pot $(PYFILES) $(GLADEHFILES) --from-code=utf-8
+messages.pot: $(UIHFILES) $(PYFILES)
+	xgettext -k_ -kN_ -o messages.pot $(PYFILES) $(UIHFILES) --from-code=utf-8
 
 %.po: messages.pot
 	@if test -f $@; then \
@@ -41,7 +41,7 @@
 dist: $(POFILES:%.po=../locale/%/LC_MESSAGES/decibel-audio-player.mo)
 
 clean:
-	$(RM) $(GLADEHFILES)
+	$(RM) $(UIHFILES)
 	$(RM) $(POFILES:%.po=../locale/%/LC_MESSAGES/decibel-audio-player.mo)
 	#$(RM) messages.pot

=== debian/changelog ===
decibel-audio-player (1.08-2) unstable; urgency=medium

  * QA upload.
  * Added patch fix-Makefile to binary pointing to the right place.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 21 Sep 2015 17:08:00 -0300

decibel-audio-player (1.08-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #644655).
  * Migrations:
      - DH level to 9.
      - Standards-Version to 3.9.6.
  * debian/control:
      - Added dh-python package to Build-Depends.
      - Updated Vcs-Svn: and Vcs-Browser: fields.
      - Organized alphabetically Depends: and Recommends: fields.
      - Added python-imaging to Recommends: field. (Closes: #629031).
  * debian/copyright:
      - Migrated to 1.0 format.
      - Revised and updated all information.
  * debian/menu: Added icon field.
  * debian/patches:
      - 01_desktop_file_exec_F: removed. The upstream fixed the code.
      - fix-decibel-audio-player.desktop:
          Added Keywords field fixing lintian warnings.
          Removed inode/directory from MimeType (Closes: #611938).
  * debian/watch: Improved.
  * Included file decibel-audio-player.xpm. and include debian/install file.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 20 Sep 2015 15:46:00 -0300

decibel-audio-player (1.06-3) unstable; urgency=medium

  * QA upload.
  * Build using dh_python2

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jul 2014 15:32:00 +0000

decibel-audio-player (1.06-2) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Remove Uploaders field.
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9.
  * Add '--with python-support' to dh invocation.

 -- Emanuele Rocca <ema@debian.org>  Thu, 06 Mar 2014 17:33:35 +0100

=== debian/control ===
Source: decibel-audio-player
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), dh-python
Build-Depends-Indep: python (>=2.4)
Standards-Version: 3.9.6
Homepage: http://decibel.silent-blade.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/decibel-audio-player/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/decibel-audio-player/trunk/

Package: decibel-audio-player
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
         python-dbus,
         python-glade2 (>=2.6.3-2),
         python-gst0.10 (>=0.10),
         python-gtk2 (>=2.6.3-2),
         python-mutagen (>= 1.10)
Recommends: gstreamer0.10-plugins-ugly,
            python-cddb,
            python-notify (>=0.1),
            python-gnome2,
            python-gnomekeyring,
            python-imaging
Suggests: gstreamer0.10-plugins-bad
Description: simple and nice music player for the GNOME desktop
 Decibel is a GTK+ audio player which aims at being very
 straightforward to use by mean of a very clean and user
 friendly interface.

=== debian/watch ===
version=3
http://decibel.silent-blade.org/uploads/Main/ decibel-audio-player-(\d\S+)\.tar\.(?:bz2|gz|xz)
